Skip to main content
`Ctrl`+`K`

# PetscGetCurrentCUDAStream

Get the CUDA stream associated with PETSc’s current `PetscDeviceContext`

## Synopsis

    #include "petscdevice.h"
    PetscErrorCode PetscGetCurrentCUDAStream(cudaStream_t *stream)

Not Collective; No Fortran Support

## Output Parameter

- stream - the `cudaStream_t` for the current context

## Note

The current device context must be of type `PETSC_DEVICE_CUDA`. The returned stream is owned by PETSc and must not be destroyed by the caller.

## See Also

`PetscDeviceContext`, `PetscCUBLASGetHandle()`, `PetscCUSOLVERDnGetHandle()`

## Level

developer

## Location

src/sys/objects/device/impls/cupm/cuda/cupmcontext.cu

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages